Environnements Java compatibles - 6.5

Guide d'installation et de migration de Talend Open Studio for ESB pour Mac

EnrichVersion
6.5
EnrichProdName
Talend Open Studio for ESB
task
Installation et mise à niveau
EnrichPlatform
Studio Talend
Talend ESB
Talend Runtime

Les tableaux suivants fournissent des information sur l'environnement Java que vous devez télécharger et installer afin d'utiliser votre produit Talend.

Le niveau de conformité du compilateur (Compiler Compliance Level) correspond à la version de Java utilisée pour la génération de code des Jobs. Cette option peut être changée dans les préférences du Studio Talend. Pour plus d'informations, consultez le Guide utilisateur du Studio Talend.

Dans la suite de ce document :

  • recommandé : désigne un environnement recommandé par Talend sur la base de l'utilisation Talend et client ;

  • supporté : désigne un environnement supporté pour une utilisation avec les composants ou services listés ;

  • supporté avec limitations : désigne un environnement qui est supporté par Talend sous certaines conditions détaillées dans des notes.

Environnements Java pour Studio Talend

Type de support

Version JRE

Niveau de conformité du compilateur JDK du Studio (Compiler Compliance Level)

Note

Recommandé

Oracle 8

1.8 (default)

 

Supporté

Oracle 8

1.7 (avec restrictions)

Uniquement supporté pour les distributions Big Data nécessitant JDK 1.7. Routes ne sont pas supportées avec le niveau de conformité du compilateur JDK du Studio Talend (Compiler Compliance Level) défini sur 1.7..

Environnements Java pour les serveurs

Les modules serveurs comprennent :

  • Serveurs Talend ESB
  • Talend Runtime

Version JRE

Talend JobServer

Talend MDM Server

Talend ESB/Talend Runtime

Talend ESB/Microservices

Distributions Big Data

Talend Server Application

Commentaires/Limitations

Oracle 7

Compatibles avec Java 1.7 uniquement

Uniquement compatible avec le niveau de conformité du compilateur JDK du Studio Talend (Compiler Compliance Level) défini sur 1.7.

Oracle 8

(R)

(R)(R)

(R)(R)

(R)

Compatibles avec Java 1.8

(R)

Compatible avec le niveau de conformité du compilateur JDK du Studio Talend (Compiler Compliance Level) défini sur 1.7 (par défaut et recommandé) ou 1.8.

IBM 8

Uniquement pour AIX et SUSE SLES (déprécié).